from axelrod.action import Action
from axelrod.player import Player
lIllIIlIIIlIIlll, IlIIIlllIllIIl = Action.C, Action.D
class IIIIIlIllIIIlllIlII(Player):
    lllIIIlIIIl = "strategy"
    IlllIlIIIllIllI = {
        "memory_depth": 0,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def lIllllllIIlIIlIlII(llIllllIlIlIllIll: Player) -> Action:
        return lIllIIlIIIlIIlll